net.minecraft.world.storage

## Class SaveHandlerMP

- java.lang.Object
- - net.minecraft.world.storage.SaveHandlerMP

- All Implemented Interfaces:
    ISaveHandler

      public class SaveHandlerMP
      extends Object
      implements ISaveHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveHandlerMP()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkSessionLock()` Checks the session lock to prevent save collisions
    `void` | `flush()` Called to flush all changes to disk, waiting for them to complete.
    `IChunkLoader` | `getChunkLoader(WorldProvider par1WorldProvider)` Returns the chunk loader with the provided world provider
    `File` | `getMapFileFromName(String par1Str)` Gets the file location of the given map
    `IPlayerFileData` | `getSaveHandler()` returns null if no saveHandler is relevent (eg.
    `String` | `getWorldDirectoryName()` Returns the name of the directory where world information is saved.
    `WorldInfo` | `loadWorldInfo()` Loads and returns the world info
    `void` | `saveWorldInfo(WorldInfo par1WorldInfo)` Saves the passed in world info.
    `void` | `saveWorldInfoWithPlayer(WorldInfo par1WorldInfo, NBTTagCompound par2NBTTagCompound)` Saves the given World Info with the given NBTTagCompound as the Player.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveHandlerMP

          public SaveHandlerMP()

  - ### Method Detail

    - #### loadWorldInfo

          public WorldInfo loadWorldInfo()

      Loads and returns the world info
      Specified by:
        `loadWorldInfo` in interface `ISaveHandler`

    - #### checkSessionLock

          public void checkSessionLock()
                                throws MinecraftException

      Checks the session lock to prevent save collisions
      Specified by:
        `checkSessionLock` in interface `ISaveHandler`
      Throws:
        `MinecraftException`

    - #### getChunkLoader

          public IChunkLoader getChunkLoader(WorldProvider par1WorldProvider)

      Returns the chunk loader with the provided world provider
      Specified by:
        `getChunkLoader` in interface `ISaveHandler`

    - #### saveWorldInfoWithPlayer

          public void saveWorldInfoWithPlayer(WorldInfo par1WorldInfo,
                                     NBTTagCompound par2NBTTagCompound)

      Saves the given World Info with the given NBTTagCompound as the Player.
      Specified by:
        `saveWorldInfoWithPlayer` in interface `ISaveHandler`

    - #### saveWorldInfo

          public void saveWorldInfo(WorldInfo par1WorldInfo)

      Saves the passed in world info.
      Specified by:
        `saveWorldInfo` in interface `ISaveHandler`

    - #### getSaveHandler

          public IPlayerFileData getSaveHandler()

      returns null if no saveHandler is relevent (eg. SMP)
      Specified by:
        `getSaveHandler` in interface `ISaveHandler`

    - #### flush

          public void flush()

      Called to flush all changes to disk, waiting for them to complete.
      Specified by:
        `flush` in interface `ISaveHandler`

    - #### getMapFileFromName

          public File getMapFileFromName(String par1Str)

      Gets the file location of the given map
      Specified by:
        `getMapFileFromName` in interface `ISaveHandler`

    - #### getWorldDirectoryName

          public String getWorldDirectoryName()

      Returns the name of the directory where world information is saved.
      Specified by:
        `getWorldDirectoryName` in interface `ISaveHandler`